xcp(1)

Name
xcp — proof-of-concept cp(1) with alternate copying mechanisms

Syntax
xcp [-d] [-m|--mmap] [-s|--splice] fromfile tofile

Description
Copies the file from src to dst using mmap(2) or splice(2) instead of the read(2)-write(2) cycle that is normally used. mmap may actually be faster than the r/w cycle.

Options

-d  Calls mmap(2) on both the source and destination, and does a memcpy(3).

-m, --mmap
    Calls mmap(2) on the source and uses write(2) for the destination.

-s, --splice
    Calls splice(2) on a pipe(2) pair. This is silly, but it is what it is because splice(2) does not support file-to-file transfers.